<!DOCTYPE html>
<html lang="en">
    <!--
        The head section is where all metadata is called/stored
        Similar to using statements in C#
    -->
    <head>
        <meta charset="UTF-8">
        <!--
            The viewport meta allows for the scaling of content to multiple devices
        -->
        <meta name="viewport" content="width=device-width, intitial-scale = 1.0">
        <!--
            Title is what the tab gets named
        -->
        <title>
            Bradley Williams Portfolio
        </title>
        <!--
            This is a stylesheet that accounts for the minor changes in different browsers
        -->
        <link rel="stylesheet" 
        href="https://cdnjs.cloudflare.com/ajax/libs/normalize/7.0.0/normalize.min.css">
        <!--
            This links to cdnjs's library of social media icons
        -->
        <link rel="stylesheet" 
        href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/css/brands.min.css" 
        integrity="sha512-+oRH6u1nDGSm3hH8poU85YFIVTdSnS2f+texdPGrURaJh8hzmhMiZrQth6l56P4ZQmxeZzd2DqVEMqQoJ8J89A==" 
        crossorigin="anonymous" 
        referrerpolicy="no-referrer" />

        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/css/all.min.css" 
        integrity="sha512-xh6O/CkQoPOWDdYTDqeRdPCVd1SpvCA9XXcUnZS2FmJNp1coAFzvtCN9BmamE+4aHK8yyUHUSCcJHgXloTyT2A==" 
        crossorigin="anonymous" 
        referrerpolicy="no-referrer" />

        <!--
            Fonts
        -->
        <link href="https://fonts.googleapis.com/css?family=Source+Code+Pro:400,900|Source+Sans+Pro:300,900&display=swap" 
        rel="stylesheet">

        <link rel="stylesheet" href="Style.css">
    </head>
    <!--
        The body is where all the functional code goes for HTML
    -->
    <body>
        <header>
            <!--
                Div just defines an area of HTML code that will
                allow CSS and Javascript to find and work with
                easier
            -->
            <div class="webHeaderLogo">
                <!--
                    This is where the file path for an image will go
                    make an image to be placed here for website
                -->
                <img src="Images/HeaderImage.png" alt="Header Image">
            </div>
            <!--
                class is the name of an object and allows CSS
                and Javascript to find the object based on name
                and work with them
            -->
            <button class="navigationButton" aria-label="Show Navigation Bar">
                <!--
                    hamburger is just refering to the image that is being used
                    span is used to mark up a portion of text
                    span is easily styled by CSS and
                    manipulated by JavaScript
                    span is like a smaller version of div
                    div is for a large section of code
                    where as span is for inline elements.
                -->
                <span class="hamburger">

                </span>
            </button>
            <!--
                Nav defines navigation links
                The nav link is only used for majore blocks of navigation links
                Not all links will go into a nav block
            -->
            <nav class = "navigation">
                <!--
                    ul is used when creating an unordered bulleted list
                    each element of the list requires the <li> </li> tags
                    CSS can be used to style the list
                    <ol> </ol> is used for ordered lists
                -->
                <ul class="navigationList">
                    <li class="navItem">
                        <!--
                            a tag refers to a hyperlink, which links from one page to another
                            Most important part of an a tag element is the href.
                            href is the links destination
                        -->
                        <a href="#homePage" class="nav_link">Home</a>
                    </li>

                    <li class="navItem">
                        <a href="#proficiencies" class="nav_link">My Proficiencies</a>
                    </li>

                    <li class="navItem">
                        <a href="#aboutPage" class="nav_link">About Me</a>
                    </li>

                    <li class="navItem">
                        <a href="#work" class="nav_link">My Work</a>
                    </li>
                </ul>
            </nav>
        </header>

        <!--
            Introduction Section
        -->
        <!--
            Section just defines a section in a document.
            The id attribute is used to point to specific element in
            the HTML doc. The id has to be unique.

            It is a CSS styling that links to the HTML doc with 
            the same id.

            In the CSS section it will have #idname
            in HTMl the format is id = idname
        -->
        <section class="introductionSection" id="homePage">
            <!--
                H1 is heading 1 so the biggest form of text
            -->
            <h1 class="section_title section1_Title-HomePage">
                I am,
                <strong>
                    Bradley Williams
                </strong>
            </h1>
            <!--
                P is paragraph so section of text/content.
            -->
            <p class="section_subtitle section1_subtitle-HomePage">
                Game Developer
            </p>
            <img src="Images/CVLogo.jpg" alt="Bradley Williams" class="home_image">
        </section>

        <section class="my_proficiencies" id="proficiencies">
            <h2 class="section_title my_proficiencies_title">
                My Proficiencies
            </h2>
            <div class="proficiencies">
                <div class="proficiency">
                    <h3>
                        Game Developement and Design
                    </h3>
                    <p>
                        I am studing a degree in game design with a focus on game development.
                        I have been exposed to many forms of game development. Everything from,
                        multiplayer networking, augmented and virtual reality, and mobile games.
                    </p>
                </div>

                <div class="proficiency">
                    <h3>
                        Systems Developement
                    </h3>
                    <p>
                        I am a backend systems developer specializing in Unity Programming.
                        I have made many tools and systems that help speed up production within
                        my own projects as well as projects that I have on in a team.
                    </p>
                </div>

                <div class="proficiency">
                    <h3>
                        Networking
                    </h3>
                    <p>
                        I have developed games that require networking in order to function.
                        The software that I have used is Mirror. This was used to create the
                        multiplayer game that is in my work portfolio below.
                    </p>
                </div>
            </div>

            <a href="#work" class="work_button">My Portfolio</a>
        </section>

        <!--
            About Me
        -->
        <section class="aboutMe" id="aboutPage">
            <h2 class="section_title section2_Title-AboutMe">
                <strong>
                    About Me
                </strong>
            </h2>
            <p class="section_subtitle section2_Subheadding-aboutMe">
                Game Developer and Game Designer
            </p>
            <div class="aboutMe_body">
                <p class="aboutMe_Content">
                    Hello, I am Bradley Williams I am a game developer and game designer.
                    I specialize in Unity Programming, focusing on systems developement, and
                    Networking or Network Management using Mirror.
                </p>
                <p>
                    I studied at The Open Window Institute getting a Bachelors of Film arts with
                    a focus in game design.
                </p>
                <p>
                    Outside of programming I really enjoy health and fitness. Doing power lifting
                    and bodybuilding as a hobby.
                </p>

            </div>

            <img src="Images/AboutMeImage.jpg" alt="Bradley Williams Game Developer" class="aboutme_image">
        </section>

        <!--
            My Work Section
        -->
        <section class="myWork" id="work">
            <h2 class="section_title portfolio_title">
                My Work
            </h2>
            <p class="section_subtitle portfolio_subtitle">
                A selection of some of my work.
            </p>
            <div class="portfolio">
                <!--
                    Portfolio piece 1
                -->
                <a href="https://androgychris.itch.io/date-your-turn" class="portfolio_item">
                    <img src="Images/DateYourTurn.png" alt="Dungeon Crawler Dating Sim" class="portfolio_img">
                </a>
                <!--
                    Portfolio piece 2
                -->
                <a href="https://feature-creeps.itch.io/what-remains" class="portfolio_item">
                    <img src="Images/WhatRemains.png" alt="Roguelike game" class="portfolio_img">
                </a>
                <!--
                    Portfolio piece 3
                -->
                <a href="https://virtualwindow.itch.io/teamwork-town" class="portfolio_item">
                    <img src="Images/TeamworkTown.png" alt="City simulator" class="portfolio_img">
                </a>
                <!--
                    Portfolio piece 4
                -->
                <a href="https://vindigo-black.itch.io/this-is-dicey" class="portfolio_item">
                    <img src="Images/ThisIsDicey.png" alt="Dice puzzle game" class="portfolio_img">
                </a>
                <!--
                    Portfolio piece 5
                -->
                <a href="https://bradleywilliamsdev.itch.io/multiplayer-test" class="portfolio_item">
                    <img src="Images/RunAndGun.png" alt="Multiplayer Network project" class="portfolio_img">
                </a>
                <!--
                    Portfolio piece 6
                -->
                <a href="https://silvienblade.itch.io/decoy" class="portfolio_item">
                    <img src="Images/TrustMe.png" alt="Inter Campus Game Jam Game" class="portfolio_img">
                </a>
            </div>
        </section>

        <!--
            Footer
        -->
        <footer class="footer">
            <a href="mailto:bradley.williams0511@gmail.com" class="footer-link">bradley.williams0511@gmail.com</a>
            <ul class="social-list">
                <li class="social-list_item">
                    <a class="social-list_link"
                    href="https://bradleywilliamsdev.itch.io/">
                    <i class="fa-brands fa-itch-io"></i>
                    </a>
                </li>
                <li class="social-list_item">
                    <a class="social-list_link"
                    href="https://www.linkedin.com/in/bradley-williams-28b041251/">
                    <i class="fa-brands fa-linkedin"></i>
                    </a>
                </li>
                <li class="social-list_item">
                    <a class="social-list_link"
                    href="https://gitlab.com/Bradley.Williams">
                    <i class="fa-brands fa-gitlab"></i>
                    </a>
                </li>
            </ul>
        </footer>
        
        <!--
            Allows the HTML doc to use the javascript script
        -->

        <script src="Index.js">

        </script>
    </body>
</html>